Accept Ingestion Workflow

Apply an ingestion workflow's results to the PCB version. The workflow must be waiting at
awaiting_resolution.

Choose which of the files the workflow found to keep in accepted_files, using the
filename, file_type, layer_name, and source values from the tasks' result.files.
For gerbers, you can change layer_name to assign a file to a different layer. Set
replace_pcb_files to replace the version's existing design files instead of adding to them,
and use specifications to set specifications such as the layer count at the same time.

Applying the results runs in the background, and this endpoint responds with 202 Accepted.
Poll GET /api/v3/pcb/{pcb_id}/{pcb_version}/ingestion/workflow/{workflow_id}/import
(the poll_url in the response) until the import is complete, then call DELETE on the same
URL to finish.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The PCB ID

integer
required

The PCB version number

string
required

The workflow ID, from creating or listing workflows

Body Params
accepted_files
array of objects

The files to keep

accepted_files
boolean

Replace the PCB version's existing design files with the accepted files, instead
of adding the accepted files to them

specifications
object

Specifications to set on the PCB version, such as layer_count, thickness,
soldermask_color, silkscreen_color, surface_finish, outer_copper_weight,
and inner_copper_weight

Responses

404

The PCB, version, or workflow does not exist, or you do not have access to it

409

The workflow has already been accepted or rejected

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json